<? include("../header_subnivel1.php");?>
<?php 
$txtreferencia= strtoupper($_POST['txtreferencia']); 

$txtreferencia_cliente= strtoupper($_POST['txtreferencia_cliente']); 

$txtconsecutivo= strtoupper($_POST['txtconsecutivo']); 
 
$tipo_de_carga= strtoupper($_POST['tipo_de_carga']); 
	
$link=con_ver();
 
 
	$result=mysqli_query($link,"select * from referencias_veracruz WHERE referencia_cliente like '$txtreferencia_cliente'");

	

	if ( mysqli_num_rows($result)>0){

		echo("	<form name=\"form2\" method=\"post\" action=\"referencias.php\">");

		echo("  <div align=\"center\"> ");

		echo("ERROR: REFERENCIA DEL CLIENTE YA REGISTRADA, CORRIJA PARA CONTINUAR");

		echo "<P></P>";

		echo("     <input type=\"submit\" name=\"Submit\" value=\"REGRESAR\">");

		echo("  </div>");

		echo(" </form>");

		}

	else

		{
			
			//$consecutivoq1=mysqli_query("INSERT INTO `consecutivos_referencia` (id) VALUES (NULL)");
		 
			
			
 mysqli_query($link,"INSERT INTO referencias_veracruz (consecutivo) Values (null)");
  $consecutivo1 = mysqli_insert_id($link) ;
 $consecutivo =  mysqli_insert_id($link)-3547;
 $txtreferencia= $consecutivo.'-'.strtoupper($_POST['txtreferencia']);

 mysqli_query($link,"UPDATE  referencias_veracruz set id='$consecutivo1',
 
 referencia='$txtreferencia',referencia_cliente='$txtreferencia_cliente',consecutivo='$consecutivo',tipo_de_carga='$tipo_de_carga'
 where  consecutivo = '$consecutivo1' ");
 
 echo mysqli_error($link);

   echo("	<form name=\"form2\" id=\"form2\" method=\"post\" action=\"referencias.php\">");

		echo("  <div align=\"center\"> ");

		echo("REFERENCIA AGREGADA<br><br>");

		echo "<P></P>";

		echo("     <input type=\"submit\" name=\"Submit\" value=\"REGRESAR\">");

		echo("  </div>");

		echo(" </form>");

}

?> 

